Bug 496662 - getqueryinfo tracebacks with xmlrpc error "Failed to locate method (getQueryInfo)..."
getqueryinfo tracebacks with xmlrpc error "Failed to locate method (getQueryI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 771365
  Show dependency treegraph
 
Reported: 2009-04-20 11:33 EDT by Ales Zelinka
Modified: 2012-01-03 09:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 771365 (view as bug list)
Environment:
Last Closed: 2010-06-28 08:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2009-04-20 11:33:17 EDT
Description of problem:
I tried to use custom column_list in my query, but getqueryinfo and all dependant methods fail, leaving me with no idea of what column names I can use.


>>> from bugzilla import Bugzilla
>>> bz = Bugzilla(url="https://bugzilla.redhat.com/xmlrpc.cgi")
>>> bz.getqueryinfo()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 343, in getqueryinfo
    (self._querydata, self._querydefaults) = self._getqueryinfo()
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 86, in _getqueryinfo
    return self._proxy.bugzilla.getQueryInfo()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 957, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault Client: 'Failed to locate method (getQueryInfo) in class (bugzilla) at /usr/lib/perl5/5.8.8/CGI/Carp.pm line 314.\n'>
>>> 



Version-Release number of selected component (if applicable):
python-bugzilla-0.5.1-2.fc11.noarch

How reproducible:
always

Steps to Reproduce:
see the code snippet above
Comment 1 Bug Zapper 2009-06-09 10:13:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Till Maas 2009-07-17 10:05:28 EDT
This is also a problem in F10 with python-bugzilla-0.4-0.rc4.fc10
Comment 3 Bug Zapper 2010-04-27 09:49:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:07:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.